Bug 1562168 - [abrt] x2goclient: ssh_poll_set_events(): x2goclient killed by SIGSEGV
Summary: [abrt] x2goclient: ssh_poll_set_events(): x2goclient killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goclient
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f996f0a1c8d8794a5f5bc6c1ffe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-29 16:46 UTC by Alvin
Modified: 2018-11-30 20:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:42:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (24.78 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: cgroup (199 bytes, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: core_backtrace (7.73 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: dso_list (13.00 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: environ (2.00 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: exploitable (82 bytes, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: limits (1.29 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: maps (67.37 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: mountinfo (4.34 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: open_fds (1.34 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-03-29 16:46 UTC, Alvin
no flags Details

Description Alvin 2018-03-29 16:46:37 UTC
Description of problem:
x2goclient crashes on creating a connection

Version-Release number of selected component:
x2goclient-4.1.1.1-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/x2goclient
crash_function: ssh_poll_set_events
executable:     /usr/bin/x2goclient
journald_cursor: s=b678c361307d41ab87c42cd6180c86f4;i=4918a;b=39e77b551e694b9b955472dedea0b139;m=a6946689;t=568127a612a23;x=7d47f018351cdb88
kernel:         4.15.10-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            39000001

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 ssh_poll_set_events at /usr/src/debug/libssh-0.7.5-6.fc27.x86_64/src/poll.c:349
 #1 ssh_poll_add_events at /usr/src/debug/libssh-0.7.5-6.fc27.x86_64/src/poll.c:376
 #2 ssh_handle_packets at /usr/src/debug/libssh-0.7.5-6.fc27.x86_64/src/session.c:612
 #3 ssh_channel_poll at /usr/src/debug/libssh-0.7.5-6.fc27.x86_64/src/channels.c:2806
 #4 SshMasterConnection::channelLoop at ../src/sshmasterconnection.cpp:2231
 #5 SshMasterConnection::run at ../src/sshmasterconnection.cpp:791
 #6 QThreadPrivate::start at thread/qthread_unix.cpp:352

Comment 1 Alvin 2018-03-29 16:46:42 UTC
Created attachment 1414802 [details]
File: backtrace

Comment 2 Alvin 2018-03-29 16:46:43 UTC
Created attachment 1414803 [details]
File: cgroup

Comment 3 Alvin 2018-03-29 16:46:44 UTC
Created attachment 1414804 [details]
File: core_backtrace

Comment 4 Alvin 2018-03-29 16:46:46 UTC
Created attachment 1414805 [details]
File: cpuinfo

Comment 5 Alvin 2018-03-29 16:46:47 UTC
Created attachment 1414806 [details]
File: dso_list

Comment 6 Alvin 2018-03-29 16:46:49 UTC
Created attachment 1414807 [details]
File: environ

Comment 7 Alvin 2018-03-29 16:46:50 UTC
Created attachment 1414808 [details]
File: exploitable

Comment 8 Alvin 2018-03-29 16:46:51 UTC
Created attachment 1414809 [details]
File: limits

Comment 9 Alvin 2018-03-29 16:46:53 UTC
Created attachment 1414810 [details]
File: maps

Comment 10 Alvin 2018-03-29 16:46:55 UTC
Created attachment 1414811 [details]
File: mountinfo

Comment 11 Alvin 2018-03-29 16:46:56 UTC
Created attachment 1414812 [details]
File: open_fds

Comment 12 Alvin 2018-03-29 16:46:57 UTC
Created attachment 1414813 [details]
File: proc_pid_status

Comment 13 Alvin 2018-03-30 19:50:10 UTC
The issue is found:
- plasmashell with compositing: takes long, freezes. x2goclient has to be killed.
- plasmashell without compositing: works fine.
(Toggle with <alt>+<shift>+<F12>)

Comment 14 Ben Cotton 2018-11-27 16:24:16 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 20:42:14 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.